namespace Anue {
  namespace Provider {
    export type NullableResponse = Anue.Provider.Response | null;
    export type ChangeHandler = (ctx: NullableResponse) => void;
    export interface Response {
      tokenType: string | null;
      idToken?: string | null;
      accessToken: string | null;
    }
    export interface GoogleProviderConfig {
      clientId: string;
      apiKey: string;
      cookiePolicy?: string;
      redirectUrl?: string;
      hostDomain?: string;
      prompt?: string;
      nonce?: string;
    }
  }
}
